/*
 *  soapUI, copyright (C) 2004-2008 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.teststeps.registry;

import com.eviware.soapui.config.TestStepConfig;
import com.eviware.soapui.impl.wsdl.testcase.WsdlTestCase;
import com.eviware.soapui.impl.wsdl.teststeps.WsdlDelayTestStep;
import com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStep;

/**
 * Factory for creation Delay steps
 * 
 * @author Ole.Matzura
 */

public class DelayStepFactory extends WsdlTestStepFactory
{
	public static final String DELAY_TYPE = "delay";

	public DelayStepFactory()
	{
		super( DELAY_TYPE, "Delay", 
					"Delays TestCase execution for a specified number of milliseconds", "/wait.gif" );
	}

	public WsdlTestStep buildTestStep(WsdlTestCase testCase,	TestStepConfig config, boolean forLoadTest)
	{
		return new WsdlDelayTestStep( testCase, config, forLoadTest );
	}

	public TestStepConfig createNewTestStep(WsdlTestCase testCase, String name)
	{
		TestStepConfig testStepConfig = TestStepConfig.Factory.newInstance();
      testStepConfig.setType( DELAY_TYPE );
      testStepConfig.setName( name );
      return testStepConfig;
	}

	public boolean canCreate()
	{
		return true;
	}
}
